Выполнение произвольных команд в GIT

Дата публикации:
21.01.2009
Дата изменения:
21.01.2009
Всего просмотров:
2127
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5516
CVE-2008-5517
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GIT 1.x
Уязвимые версии: GIT версии до 1.5.6.6 и 1.6.1

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной обработки входных параметров в функциях "git_search()", "git_cmd()", "git_snapshot()" и "git_object()" в сценарии gitweb/gitweb.pl. Удаленный пользователь может с помощью специально сформированного запроса к интерфейсу выполнить произвольные команды на системе.

URL производителя: www.kernel.org/pub/software/scm/git/docs/

Решение: Установите последнюю версию 1.5.6.6 или 1.6.1 с сайта производителя.

Ссылки: http://repo.or.cz/w/git.git?a=commitdiff;h=c582abae
http://repo.or.cz/w/git.git?a=commitdiff;h=516381d5
https://bugzilla.redhat.com/show_bug.cgi?id=479715

или введите имя

CAPTCHA